body {
  margin-top: 30px;
}

.navbar-header {
  position: relative;
  top: -4px;
}

.navbar-brand > .icon-banner {
  position: relative;
  top: -2px;
  display: inline;
}

.icon {
  position: relative;
  top: -10px;
}

.logged-out iframe {
  display: none;
  width: 0;
  height: 0;
}

.center {
  margin: 0 auto;
}

.login-parent-container {
  align-items: center;
  display: flex;
  justify-content: center;
}

.login-container {
  max-width: 343px;
  min-height: 400px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
}

.btn-primary:focus { 
  background-color: #111827;
}


.iti__selected-country-primary { 
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
    padding-left: 16px !important;
}

.login-button {
  width: 100%;
  border-radius: 10px;
  word-wrap: break-word;
  font-family: "ArialMT", "Arial";
  text-decoration: none;
  font-size: 18px;
  line-height: 22px;
  font-weight: 600;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 16px 30px;
  background-color: #111827;
}

.login-button:hover {
  background-color: #111827 !important;
  filter: brightness(85%);
  text-decoration: none;
}

.login-button:active .login-button:focus {
  background-color: #111827 !important;
}

.login-button-disabled {
  opacity: 1 !important;
  background-color: #cbd5e1 !important;
  border: none !important;
}

.login-button-disabled:hover {
  opacity: 1 !important;
  background-color: #cbd5e1 !important;
  filter: none;
}

.btn-outline-primary {
  border-color: #0f172a;
  color: #0f172a;
  background-color: white;
}

.btn-outline-primary:hover {
  border-color: #64748b;
  background-color: #f1f5f9 !important;
  filter: none;
}

.link-disabled,
.link-disabled:hover {
  background-color: #cbd5e1 !important;
}
#continue-passwordless #continue-phone-number {
  width: 100%;
  height: 54px;
}
.continue-login {
  color: #868e96;
  font-size: 16px;
  margin: 10px;
}
.continue-signin,
.continue-signup {
  margin-top: 20px;
  font-size: 16px;
  text-align: center
}
.social-login {
  display: flex;
  flex-direction: row;
}
.login-fob {
  width: 60px;
  height: 60px;
  border-radius: 30px;
  margin: 10px;
  background-color: #111827 !important;
}
.login-fob:hover {
  filter: brightness(85%);
  text-decoration: none;
}
.email {
  background-color: rgba(51, 204, 153, 1);
}

.facebook {
  background-color: rgba(66, 103, 178, 1);
}

.facebook::before {
  display: block;
  font-family: "Font Awesome 5 Brands";
  color: white;
  content: "\f39e";
  font-size: 36px;
  line-height: 60px;
  text-align: center;
}

.google {
  background-color: rgba(66, 133, 244, 1);
}

.google::before {
  display: block;
  font-family: "Font Awesome 5 Brands";
  color: white;
  content: "\f1a0";
  font-size: 36px;
  line-height: 60px;
  text-align: center;
}

.apple {
  background-color: rgba(10, 10, 10, 1);
  color: white;
}

.apple::before {
  display: block;
  font-family: "Font Awesome 5 Brands";
  color: white;
  content: "\f179";
  font-size: 36px;
  width: 57px;
  line-height: 55px;
  text-align: center;
}

.buttons-container {
  width: 100%;
  align-items: center;
  display: flex;
  flex-direction: inherit;
  padding-bottom: 20px;
}

.label {
  font-family: "ArialMT", "Arial";
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: #868e96;
  margin: 10px 0 10px 0;
}

.login-bg {
  max-width: 250px;
  max-height: 250px;
}

.login-img {
  max-width: 250px;
  max-height: 250px;
  position: absolute;
  top: 40px;
  left: 10px;
}

.tenant-logo {
  max-width: 260px;
  max-height: 100px;
  border-radius: 10%;
  margin-bottom: 8%;
}

.tenant-name {
  font-weight: bold;
  font-size: 14px;
}

.img-container {
  position: relative;
}

.error-page {
    display: flex;
    padding: 48px 0px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
}

.error-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 24px;
    flex: 1 0 0;
    align-self: stretch;
}

.error-image-container {
    justify-content: center;
    align-items: center;
    gap: 10px;
    display: flex;
}

.error-image {
    display: flex;
    width: 287px;
    height: 276px;
    justify-content: center;
    align-items: center;
}
.error-text-frame {
    display: flex;
    padding: 0px 24px;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}

.error-message {
    color: #1F2937;
    text-align: center;
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.error-description-message {
    color: #475569;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.title {
  font-size: 24px;
  text-align: center;
  font-family: "Inter", "ArialMT", "Arial";
  font-weight: bold;
  font-style: normal;
  color: #333333;
  margin-bottom: 20px;
}

.form-group {
  margin-bottom: 15px;
  display: flex;
  flex-direction: column;
  flex: 1;
  align-self: stretch;
  align-items: center;
}

.text-input {
  background-color: transparent;
  text-align: left;
  font-family: "Inter", "ArialMT", "Arial";
  font-weight: 400;
  font-style: normal;
  font-size: 15px;
  max-width: 343px;
  height: 54px;
  display: block;
  border-radius: 10px;
}

.input-label {
  color: black;
  font-weight: normal;
  position: relative;
}

.text-input:focus + .input-label {
  color: #2f7aff;
}

.text-input:focus {
  border-bottom: 1px solid #2f7aff;
  outline: none;
}

.back-button {
  font-weight: 400;
  font-style: normal;
  font-size: 36px;
  text-align: center;
  color: black;
  align-self: flex-start;
  margin-left: 40px;
}

.back-button:hover {
  color: black;
  text-decoration: none;
  filter: brightness(65%);
  cursor: pointer;
}

.login-form {
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
  align-items: center;
}

.margin-top {
  margin-top: 50px;
}

.blue-circle {
  border-width: 0px;
  width: 150px;
  height: 150px;
  background: -webkit-linear-gradient(
    315deg,
    rgba(109, 180, 227, 1) 0%,
    rgba(109, 180, 227, 1) 0%,
    rgba(34, 114, 232, 1) 100%,
    rgba(34, 114, 232, 1) 100%
  );
  background: -moz-linear-gradient(
    135deg,
    rgba(109, 180, 227, 1) 0%,
    rgba(109, 180, 227, 1) 0%,
    rgba(34, 114, 232, 1) 100%,
    rgba(34, 114, 232, 1) 100%
  );
  background: linear-gradient(
    135deg,
    rgba(109, 180, 227, 1) 0%,
    rgba(109, 180, 227, 1) 0%,
    rgba(34, 114, 232, 1) 100%,
    rgba(34, 114, 232, 1) 100%
  );
  border: none;
  border-radius: 75px;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  font-family: "FontAwesome5ProLight", "Font Awesome 5 Pro Light",
    "Font Awesome 5 Pro";
  font-weight: 200;
  font-style: normal;
  font-size: 72px;
  color: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
}

.big-icon {
  font-family: "FontAwesome5ProLight", "Font Awesome 5 Pro Light",
    "Font Awesome 5 Pro";
  font-weight: 200;
  font-style: normal;
  font-size: 72px;
  color: #ffffff;
}

.validation-summary-valid {
  display: none;
}

.input-validation-error {
  border-color: #ff392c;
}
.input-validation-error-label {
    align-self: flex-start;
    margin: 10px 0;
}
.field-validation-error {
  color: #ff392c;
}

.field-validation-valid {
  display: none;
}

.policy-container {
  margin-top: 20px;
  font-weight: normal;
  text-align: center;
  font-size: 16px;
  font-family: "Inter", "ArialMT", "Arial";
}

.bank-card {
  border: 1px solid #ccc !important;
  color: #ccc !important;
}

.btn-default:hover {
  background-color: #111827 !important;
  filter: brightness(85%);
  text-decoration: none;
  color: #fff !important;
}

.error-container {
    margin-top: 16px;
}

.error-container .error-content-container {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.error-container .error-icon {
  font-size: 21px;
  margin-right: 16px;
}

.error-container .error-message-container span {
  font-size: 16px;
  font-weight: 400;
}

#phone-number-input {
  color: black;
}

.phone-number-input-container {
  width: 100%;
  font-size: 15px;
}

.phone-number-input-error-container {
  visibility: hidden;
  color: #dc2626;
  align-self: flex-start;
}

.phone-number-input-error-container-visible {
  margin-top: 8px;
  visibility: visible;
}

.error-input {
  border-color: #dc2626;
}

.verification-code-input-error {
  visibility: hidden;
}

.verification-code-input-error-visible {
  visibility: visible;
  margin-top: 8px;
}

.verification-code-input-container {
  margin-bottom: 24px;
}

.verification-code-input-container div {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 8px;
  margin-bottom: 8px;
}

.verification-single-digit-input {
  width: 54px;
  height: 54px;
  text-align: center;
}

.content-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.verification-code-title {
  margin-bottom: 8px;
}

.subtitle-container {
  display: flex;
  flex-direction: column;
  text-align: center;
  margin-bottom: 24px;
}

.resend-code-container {
  margin-bottom: 24px;
}

.request-new-code-text {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 36px;
  margin-bottom: 24px;
}

#verification-resend-code-container {
  position: relative;
}

#cooldown-text {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  text-align: center;
  vertical-align: middle;
}

#request-code-button-text {
  color: #0070e0;
}

#request-code-button-text:hover {
  cursor: pointer;
}

.errored-form input {
  border-color: #dc2626;
}

.errored-form #verification-code-input-error {
  color: #dc2626;
}

#verification-code-form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.or-container {
  align-self: stretch;
  align-items: center;
  display: flex;
  flex: 1;
  flex-direction: row;
  margin-bottom: 24px;
}

.horizontal-separator {
  flex: 1;
  height: 1px;
  background-color: #94a3b8;
}

.or-text-container {
  padding: 0px 16px;
}

.or-text {
  font-size: 16px;
  font-weight: 400;
  color: #94a3b8;
}

.secondary-buttons {
  margin-bottom: 24px;
  display: flex;
  flex-direction: column;
  align-self: stretch;
  gap: 12px;
}

.hidden {
  display: none;
}

.partial-form-container {
  display: flex;
  flex-direction: column;
  align-self: stretch;
}

.title-container {
  display: flex;
  align-items: flex-end;
  min-height: 70px;
  justify-content: center;
  margin-bottom: 20px;
}

.title-container .title {
  margin-bottom: 0px;
}

.back-button-container{ 
    display: flex;
    flex-direction: row;
    align-items: center;
    align-self: flex-start;
    gap: 8px;
    margin-bottom: 24px;
    margin-left: 0px;
    font-size: 15px;
}
